Orvelt

Get a project

GET
/project/{projectId}

Get one project by ID.

Requires a Business session or a resource-authorized OAuth token and the applicable member access. API keys are not accepted.

Authorization

cookieorvelt-biz.session_token<token>

An existing Business session. Browser requests must also pass origin and CSRF checks.

Path Parameters

projectId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

OK

application/json
  1. response
project*
Example Request
curl -X GET 'https://api.orvelt.com/v1/project/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{
  "project": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "organizationId": "string",
    "teamId": "string",
    "slug": "string",
    "routeSlug": "string",
    "name": "string",
    "description": "string",
    "status": "draft",
    "metadata": {
      "property1": null,
      "property2": null
    },
    "assets": [
      "http://example.com"
    ],
    "privateAt": "2019-08-24T14:15:22Z",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}